com.brightcove.player.model

## Class RendererConfig.Builder

- java.lang.Object
- - com.brightcove.player.model.RendererConfig.Builder

- Enclosing class:
    RendererConfig

      public static final class RendererConfig.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RendererConfig` | `build()`
    `RendererConfig.Builder` | `setBufferSegmentCount(int bufferSegmentCount)` Sets the number of segments to buffer ahead.
    `RendererConfig.Builder` | `setBufferSegmentSize(int bufferSegmentSize)` Sets the buffer segment size, the size in bytes for each segment of the buffer.
    `RendererConfig.Builder` | `setHttpConnectTimeoutMillis(int httpConnectTimeoutMillis)` Sets the http connect timeout value, the maximum time in milliseconds to wait while connecting through http.
    `RendererConfig.Builder` | `setHttpReadTimeoutMillis(int httpReadTimeoutMillis)` Sets the http read timeout value, the maximum time to wait for an input stream read through http.
    `RendererConfig.Builder` | `setRestrictHdContentToWidevineL1(boolean enable)` Enables or disables a restriction to play 'protected HD content' ONLY on devices with Widevine security level 1 (L1).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setHttpReadTimeoutMillis

          public RendererConfig.Builder setHttpReadTimeoutMillis(int httpReadTimeoutMillis)

      Sets the http read timeout value, the maximum time to wait for an input stream read through http.
      Parameters:
        `httpReadTimeoutMillis` - Integer timeout value

    - #### setHttpConnectTimeoutMillis

          public RendererConfig.Builder setHttpConnectTimeoutMillis(int httpConnectTimeoutMillis)

      Sets the http connect timeout value, the maximum time in milliseconds to wait while connecting through http.
      Parameters:
        `httpConnectTimeoutMillis` - Integer timeout value

    - #### setBufferSegmentSize

          public RendererConfig.Builder setBufferSegmentSize(int bufferSegmentSize)

      Sets the buffer segment size, the size in bytes for each segment of the buffer.
      Parameters:
        `bufferSegmentSize` - segment size for the buffer.

    - #### setBufferSegmentCount

          public RendererConfig.Builder setBufferSegmentCount(int bufferSegmentCount)

      Sets the number of segments to buffer ahead.
      Parameters:
        `bufferSegmentCount` - count of buffer segments.

    - #### setRestrictHdContentToWidevineL1

          public RendererConfig.Builder setRestrictHdContentToWidevineL1(boolean enable)

      Enables or disables a restriction to play 'protected HD content' ONLY on devices with Widevine security level 1 (L1). The restriction is enabled by default.
      Parameters:
        `enable,` - set false to disable restriction

    - #### build

          public RendererConfig build()